Bug 19251

Summary: [Qt] setTextSizeMultiplier does not scale button fonts
Product: WebKit Reporter: Siraj razick <siraj>
Component: WebKit QtAssignee: Siraj razick <siraj>
Status: RESOLVED FIXED    
Severity: Normal CC: hausmann, pierre-luc.beaudoin, vestbo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
setTextSizeMultiplier now scales button fonts hausmann: review+

Description Siraj razick 2008-05-26 01:53:22 PDT
setTextSizeMultiplier does not scale the font size of buttons text.  This is inconsistent with the way it happens in gtk webkit. I'll be attaching a fix shortly.
Comment 1 Tor Arne Vestbø 2008-05-26 03:58:42 PDT
Please note that on Mac we do want a fixed size button font. See RenderThemeQt::adjustButtonStyle().
Comment 2 Siraj razick 2008-05-27 01:54:08 PDT
Created attachment 21359 [details]
setTextSizeMultiplier now  scales button fonts

With this patch, setTextSizeMultiplier will scale the button fonts. It reproduces GtkWebKit behavior implemented by Barisione (http://people.collabora.co.uk/~bari/zoom.png): except on Mac, where the Safari behavior is reproduced.
Comment 3 Tor Arne Vestbø 2008-06-02 02:52:17 PDT
Tested on Mac and X11, looks good. Thanks for the patch, Simon will commit it later today.

http://code.staikos.net/cgi-bin/gitweb.cgi?p=webkit;a=commitdiff;h=a9e4748a35a9f4d4c5196ddb9adbf2666520b20d
Comment 4 Simon Hausmann 2008-06-02 03:09:23 PDT
Landed in r34296
Comment 5 Siraj razick 2008-06-02 05:58:03 PDT
(In reply to comment #3)
> Tested on Mac and X11, looks good. Thanks for the patch, Simon will commit it
> later today.
> 
> http://code.staikos.net/cgi-bin/gitweb.cgi?p=webkit;a=commitdiff;h=a9e4748a35a9f4d4c5196ddb9adbf2666520b20d
> 

(In reply to comment #3)
> Tested on Mac and X11, looks good. Thanks for the patch, Simon will commit it
> later today.
> 
> http://code.staikos.net/cgi-bin/gitweb.cgi?p=webkit;a=commitdiff;h=a9e4748a35a9f4d4c5196ddb9adbf2666520b20d
> 

Thank you!